/*
 * DelayedSyncConfig
 * 遅延同期テストのためのコンフィグ
 */
package org.logical_paradox.rss.test.dsync;

import java.io.IOException;

import org.logical_paradox.rss.RSSIllegalConfigException;
import org.logical_paradox.rss.dsync.RSSSyncConfig;

public class DelayedSyncConfig extends RSSSyncConfig {
	protected String cfgDistServRegURL;

	public DelayedSyncConfig( String fn ) throws IOException, RSSIllegalConfigException {
		super( fn );
	}

	public String getDistServRegURL() {
		return cfgDistServRegURL;
	}

	public String checkResourceVariables() {
		StringBuffer errmsg = new StringBuffer( super.checkResourceVariables() );

		cfgDistServRegURL = getProperty( "RSS_DSR" );
		if( cfgDistServRegURL == null || cfgDistServRegURL.trim().length() == 0 ) {
			errmsg.append( "RSS_DSR\n" );
		}
		return errmsg.toString();
	}
}

// end of DelayedSyncConfig.java
